{% if ansible_architecture == "aarch64" %}
deb http://{{ apt_mirror }}/ubuntu-ports {{ ansible_distribution_release }} main restricted
deb http://{{ apt_mirror }}/ubuntu-ports {{ ansible_distribution_release }}-updates main restricted
deb http://{{ apt_mirror }}/ubuntu-ports {{ ansible_distribution_release }} universe
deb http://{{ apt_mirror }}/ubuntu-ports {{ ansible_distribution_release }}-updates universe
deb http://{{ apt_mirror }}/ubuntu-ports {{ ansible_distribution_release }} multiverse
deb http://{{ apt_mirror }}/ubuntu-ports {{ ansible_distribution_release }}-updates multiverse
deb http://{{ apt_mirror }}/ubuntu-ports {{ ansible_distribution_release }}-backports main restricted universe multiverse
deb http://{{ apt_mirror }}/ubuntu-ports {{ ansible_distribution_release }}-security main restricted
deb http://{{ apt_mirror }}/ubuntu-ports {{ ansible_distribution_release }}-security universe
deb http://{{ apt_mirror }}/ubuntu-ports {{ ansible_distribution_release }}-security multiverse
# deb http://archive.canonical.com/ubuntu focal partner
{% else %}
deb http://{{ apt_mirror }}/ubuntu {{ ansible_distribution_release }} main restricted
deb http://{{ apt_mirror }}/ubuntu {{ ansible_distribution_release }}-updates main restricted
deb http://{{ apt_mirror }}/ubuntu {{ ansible_distribution_release }} universe
deb http://{{ apt_mirror }}/ubuntu {{ ansible_distribution_release }}-updates universe
deb http://{{ apt_mirror }}/ubuntu {{ ansible_distribution_release }} multiverse
deb http://{{ apt_mirror }}/ubuntu {{ ansible_distribution_release }}-updates multiverse
deb http://{{ apt_mirror }}/ubuntu {{ ansible_distribution_release }}-backports main restricted universe multiverse
deb http://{{ apt_mirror }}/ubuntu {{ ansible_distribution_release }}-security main restricted
deb http://{{ apt_mirror }}/ubuntu {{ ansible_distribution_release }}-security universe
deb http://{{ apt_mirror }}/ubuntu {{ ansible_distribution_release }}-security multiverse
# deb http://archive.canonical.com/ubuntu focal partner
{% endif %}
